Project Templates API
- List project templates
- Get a single project template
- Create a project template
- Update a project template
- Fields
List project templates
Section titled “List project templates”List all project templates for an account:
GET /project_templatesResponse
Section titled “Response”Status: 200 OK[ { "id": 456, "sourceID": null, "subject": "Large project phases", "created_at": "2016-12-23T05:09:05-06:00", "updated_at": "2016-12-23T05:09:05-06:00" }, { "id": 448, "sourceID": null, "subject": "Medium project phases", "created_at": "2016-12-23T05:09:05-06:00", "updated_at": "2016-12-23T05:09:05-06:00" }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of project templates.
Predefined Filters
Section titled “Predefined Filters”The following predefined filters are available:
/project_templates/disabled: List all disabled project templates/project_templates/enabled: List all enabled project templates
Collection Fields
Section titled “Collection Fields”By default the following fields will appear in collections of project templates:
id
sourceID
subject
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Section titled “Filtering”Filtering is available for the following fields :
id
source
sourceID
subject
disabled
created_at
updated_at
Sorting
Section titled “Sorting”By default a collection of project templates is sorted
descending
by
id
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
subject
created_at
updated_at
times_applied
Get a single project template
Section titled “Get a single project template”GET /project_templates/:idResponse
Section titled “Response”Status: 200 OK{ "created_at": "2016-12-23T05:09:05-06:00", "disabled": false, "id": 456, "source": null, "sourceID": null, "subject": "Large project phases", "times_applied": 8, "updated_at": "2016-12-23T05:09:05-06:00"}The response contains these fields .
Create a project template
Section titled “Create a project template”POST /project_templatesWhen creating a new project template these fields are available.
Response
Section titled “Response”Status: 201 Created{ "category": "...", "...": "..."}The response contains all fields of the created project template and is similar to the response in Get a single project template
Update a project template
Section titled “Update a project template”PATCH /project_templates/:idWhen updating a project template these fields are available.
Response
Section titled “Response”Status: 200 OK{ "category": "...", "...": "..."}The response contains all fields of the updated project template and is similar to the response in Get a single project template
Fields
Section titled “Fields”created_at
Readonly datetime — The date and time at which the project template was created.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the project template may not be used to help register new projects.
id
Readonly integer — The unique ID of the project template.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
subject
Required string (max 190) — The Subject field is used to enter a short description that needs to be copied to the Subject field of a new project when it is being created based on the template.
times_applied
Readonly integer — The number of times the project template is used to create a project.
updated_at
Readonly
datetime
— The date and time of the last update of the project template. If the project template has no updates it contains the
created_at
value.